## kalzium 22.12.3

=== compoundviewer/CMakeLists.txt ===
add_library(compoundviewer)

set_target_properties(compoundviewer PROPERTIES
    VERSION ${KALZIUMLIB_VERSION}
    SOVERSION ${KALZIUMLIB_SOVERSION}
    CXX_STANDARD 14
    CXX_STANDARD_REQUIRED ON
)

generate_export_header(compoundviewer)

target_sources(compoundviewer PRIVATE
    iowrapper.cpp
    kalziumglwidget.cpp
)

target_link_libraries(compoundviewer
    KF5::I18n
    KF5::WidgetsAddons
    KF5::CoreAddons
    Qt::OpenGL
    Qt::Gui
    Qt::Widgets
    ${OPENBABEL_LIBRARIES}
    AvogadroQtGui
    AvogadroQtOpenGL
    AvogadroQtPlugins
    Eigen3::Eigen
)

target_include_directories(compoundviewer PRIVATE
    ${CMAKE_CURRENT_BINARY_DIR}/..
    ${OPENBABEL_INCLUDE_DIR}
    ${AvogadroLibs_INCLUDE_DIRS}
)

install(TARGETS compoundviewer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

#add_subdirectory(widgets)

=== libscience/CMakeLists.txt ===
add_subdirectory(data)
add_subdirectory(tests)

add_library(science SHARED)

set_target_properties(science PROPERTIES
   VERSION ${KALZIUMLIB_VERSION}
   SOVERSION ${KALZIUMLIB_SOVERSION}
)

generate_export_header(science)

ecm_qt_declare_logging_category(science
   HEADER kalzium_libscience_debug.h
   IDENTIFIER KALZIUM_LIBSCIENCE_LOG
   CATEGORY_NAME org.kde.kalzium.libscience
   DESCRIPTION "Kalzium (libscience)"
   EXPORT KALZIUM
)

target_sources(science PRIVATE
   element.cpp
   spectrum.cpp
   isotope.cpp
   spectrumparser.cpp
   elementparser.cpp
   isotopeparser.cpp
   chemicaldataobject.cpp
   moleculeparser.cpp
   parser.cpp
   psetables.cpp
   element.h
   spectrum.h
   isotope.h
   spectrumparser.h
   elementparser.h
   isotopeparser.h
   chemicaldataobject.h
   moleculeparser.h
   parser.h
   psetables.h
)

target_link_libraries(science
   PUBLIC
      KF5::UnitConversion
      KF5::WidgetsAddons
      KF5::I18n
      Qt::Xml
)
if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(science PUBLIC Qt6::Core5Compat)
endif()

install(TARGETS science  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
   chemicaldataobject.h
   element.h
   elementparser.h
   isotope.h
   isotopeparser.h
   ${CMAKE_CURRENT_BINARY_DIR}/science_export.h
   moleculeparser.h
   parser.h
   spectrum.h
   spectrumparser.h
   psetables.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR}/libkdeedu  COMPONENT Devel
)

=== src/CMakeLists.txt ===
add_executable(kalzium)

target_include_directories(kalzium PRIVATE
   tools
   calculator
   psetable
   isotopetable
   ${CMAKE_CURRENT_BINARY_DIR}/..
)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
   VARIABLE_PREFIX KALZIUM
   VERSION_HEADER kalzium_version.h
)

ecm_qt_declare_logging_category(kalzium
   HEADER kalzium_debug.h
   IDENTIFIER KALZIUM_LOG
   CATEGORY_NAME org.kde.kalzium
   DESCRIPTION "Kalzium"
   EXPORT KALZIUM
)

# The tools can only be built when OpenBabel is found.
# The moleculeviewer needs not only OpenBabel but also Eigen and Avogadro,
# so there is a nested if-check.
if (HAVE_OPENBABEL)
   target_sources(kalzium PRIVATE
      tools/obconverter.cpp
   )

   ki18n_wrap_ui(kalzium
      tools/obconverterwidget.ui
   )
   target_include_directories(kalzium SYSTEM PRIVATE ${OPENBABEL_INCLUDE_DIR})

   if (EIGEN3_FOUND AND AvogadroLibs_FOUND)
      #include(${Avogadro_USE_FILE})

      target_sources(kalzium PRIVATE
         tools/moleculeview.cpp
         ../compoundviewer/kalziumglwidget.cpp
      )

      ki18n_wrap_ui(kalzium
         tools/moleculeviewerwidget.ui
      )
   endif ()
endif ()

## Kalzium calculator files
target_sources(kalzium PRIVATE
   calculator/calculator.cpp
   calculator/calculator.h
   calculator/concCalculator.cpp
   calculator/concCalculator.h
   calculator/gasCalculator.cpp
   calculator/gasCalculator.h
   calculator/nuclearCalculator.cpp
   calculator/nuclearCalculator.h
   calculator/titrationCalculator.cpp
   calculator/titrationCalculator.h
#   calculator/massCalculator.cpp
)
ki18n_wrap_ui(kalzium
   calculator/calculator.ui
   calculator/nuclearCalculator.ui
   calculator/gasCalculator.ui
   calculator/concCalculator.ui
   calculator/settings_calc.ui
   calculator/titrationCalculator.ui
#   calculator/massCalculator.ui
)

target_sources(kalzium PRIVATE
   detailedgraphicaloverview.cpp
   detailedgraphicaloverview.h
   detailinfodlg.cpp
   detailinfodlg.h
   elementdataviewer.cpp
   elementdataviewer.h
   exportdialog.cpp
   exportdialog.h
   gradientwidget_impl.cpp
   gradientwidget_impl.h
   isotopetable/informationitem.cpp
   isotopetable/informationitem.h
   isotopetable/isotopeguideview.cpp
   isotopetable/isotopeguideview.h
   isotopetable/isotopeitem.cpp
   isotopetable/isotopeitem.h
   isotopetable/isotopescene.cpp
   isotopetable/isotopescene.h
   isotopetable/isotopetabledialog.cpp
   isotopetable/isotopetabledialog.h
   isotopetable/isotopeview.cpp
   isotopetable/isotopeview.h
   kalzium.cpp
   kalziumdataobject.cpp
   kalziumdataobject.h
   kalziumelementproperty.cpp
   kalziumelementproperty.h
   kalziumgradienttype.cpp
   kalziumgradienttype.h
   kalzium.h
   kalziumnumerationtype.cpp
   kalziumnumerationtype.h
   kalziumschemetype.cpp
   kalziumschemetype.h
   kalziumunitcombobox.cpp
   kalziumunitcombobox.h
   kalziumutils.cpp
   kalziumutils.h
   kdeeduglossary.cpp
   kdeeduglossary.h
   legendwidget.cpp
   legendwidget.h
   main.cpp
   molcalcwidget.cpp
   molcalcwidget.h
   orbitswidget.cpp
   orbitswidget.h
   psetable/elementitem.cpp
   psetable/elementitem.h
   psetable/numerationitem.cpp
   psetable/numerationitem.h
   psetable/periodictablescene.cpp
   psetable/periodictablescene.h
   psetable/periodictablestates.cpp
   psetable/periodictablestates.h
   psetable/periodictableview.cpp
   psetable/periodictableview.h
   psetable/statemachine.cpp
   psetable/statemachine.h
   rsdialog.cpp
   rsdialog.h
   search.cpp
   search.h
   searchwidget.cpp
   searchwidget.h
   spectrumviewimpl.cpp
   spectrumviewimpl.h
   spectrumwidget.cpp
   spectrumwidget.h
   tableinfowidget.cpp
   tableinfowidget.h
   tablesdialog.cpp
   tablesdialog.h
   settings/kalziumconfigdialog.cpp
   settings/kalziumconfigdialog.h
   settings/unitsettingsdialog.cpp
   settings/unitsettingsdialog.h
   settings/isotopetablesettingsdialog.cpp
   settings/isotopetablesettingsdialog.h
   settings/isotopetablesettingscard.cpp
   settings/isotopetablesettingscard.h

   kalzium.qrc
)

if (LIBFACILE_FOUND)
   include(CMakeOCamlInstructions.cmake)

   target_sources(kalzium PRIVATE
      eqchemview.cpp
      ${CMAKE_CURRENT_BINARY_DIR}/solver.o
      ${CMAKE_CURRENT_BINARY_DIR}/modwrap.o
   )
   ki18n_wrap_ui(kalzium
      equationview.ui
   )
endif ()

ki18n_wrap_ui(kalzium
   isotopetable/isotopedialog.ui
   plotsetupwidget.ui
   molcalcwidgetbase.ui
   spectrumview.ui
   rswidget.ui
   gradientwidget.ui
   exportdialog.ui
   settings/settings_colors.ui
   settings/settings_gradients.ui
   )

kconfig_add_kcfg_files(kalzium GENERATE_MOC prefs.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/*-apps-kalzium.png")
ecm_add_app_icon(kalzium ICONS ${ICONS_SRCS})

target_link_libraries(kalzium
    KF5::Completion
    KF5::ConfigWidgets
    KF5::ItemViews
    KF5::KIOWidgets
    KF5::Plotting
    KF5::TextWidgets
    KF5::UnitConversion
    KF5::XmlGui
    Qt::Svg
    science
)
if (QT_MAJOR_VERSION STREQUAL "5")
    target_link_libraries(kalzium Qt::Script)
else()
    target_link_libraries(kalzium Qt::StateMachine)
endif()
if (HAVE_OPENBABEL)
   target_link_libraries(kalzium ${OPENBABEL_LIBRARIES})
   if (EIGEN3_FOUND AND AvogadroLibs_FOUND)
      target_link_libraries(kalzium
         KF5::NewStuff
         Qt::OpenGL
         compoundviewer
         AvogadroQtGui
         AvogadroQtOpenGL
         AvogadroQtPlugins
         Eigen3::Eigen
       )
      install(FILES kalzium.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
   endif ()
endif ()

if (LIBFACILE_FOUND)
   link_directories(${OCAMLC_DIR})
   set(CMAKE_LIBRARY_PATH ${OCAMLC_DIR})

   find_library(OCAML_ASMRUN_LIBRARY NAMES asmrun)
   if (OCAML_ASMRUN_LIBRARY)
      target_link_libraries(kalzium ${OCAML_ASMRUN_LIBRARY})
   endif ()

   find_library(OCAML_STR_LIBRARY NAMES str)
   if (OCAML_STR_LIBRARY)
      target_link_libraries(kalzium ${OCAML_STR_LIBRARY})
   endif ()

   find_library(OCAML_NUMS_LIBRARY NAMES nums)
   if (OCAML_NUMS_LIBRARY)
      target_link_libraries(kalzium ${OCAML_NUMS_LIBRARY})
   endif ()

   target_link_libraries(kalzium m ${CMAKE_DL_LIBS})
endif ()

install(TARGETS kalzium ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.kalzium.desktop org.kde.kalzium_cml.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES settings/kalzium.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ecm_install_icons(ICONS
    16-apps-kalzium.png
    22-apps-kalzium.png
    32-apps-kalzium.png
    48-apps-kalzium.png
    64-apps-kalzium.png
    128-apps-kalzium.png
    sc-apps-kalzium.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== debian/changelog ===
kalzium (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:45 +0100

kalzium (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:33:41 +0100

kalzium (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:28 +0100

kalzium (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh patches, drop avoid_nameclash.patch not needed anymore.
  * Update the list of installed files from build logs.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update the list of installed files from build logs.
  * New upstream release (22.12.0).
  * Refresh lintian overrides.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:49 +0100

kalzium (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 19:59:01 +0100

=== debian/control ===
Source: kalzium
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: chemical-mime-data,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libavogadro-dev,
               libeigen3-dev (>> 2.0.3),
               libfacile-ocaml-dev,
               libkf5archive-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5newstuff-dev (>= 5.90.0~),
               libkf5parts-dev (>= 5.90.0~),
               libkf5plotting-dev (>= 5.90.0~),
               libkf5solid-dev (>= 5.57.0~),
               libkf5unitconversion-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libopenbabel-dev (>= 3.1.1+dfsg-4),
               libopengl-dev,
               libqt5opengl5-dev (>= 5.15.2~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-config,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.2~),
               qtscript5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://edu.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalzium
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalzium.git

Package: kalzium
Architecture: any
Section: science
Depends: kalzium-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkdeedu4 (<< 4:4.6.2), libscience4,
Replaces: libkdeedu4 (<< 4:4.6.2), libscience4,
Suggests: chemical-mime-data, khelpcenter,
Description: periodic table and chemistry tools
 Kalzium is a full-featured chemistry application, including a
 Periodic Table of Elements, chemical reference, chemical equation solver, and
 3D molecule viewer.
 .
 This package is part of the KDE education module.

Package: kalzium-data
Architecture: all
Section: science
Depends: ${misc:Depends},
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: data files for Kalzium
 This package contains architecture-independent data files for Kalzium, the
 KDE periodic table application.
 .
 This package is part of the KDE education module.

## kalzium 23.08.0

=== debian/changelog ===
kalzium (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:51:10 +0100

kalzium (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key, copied from k3b

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:31:09 +0100

kalzium (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:43:30 +0100

kalzium (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Refresh no_install_rpath_use_link_path.diff
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:54:28 +0100

kalzium (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:35:16 +0000

kalzium (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:12:18 -0600

kalzium (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:12:08 +0000

kalzium (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 15:19:23 +0000

kalzium (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:06:13 +0000

kalzium (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:02:38 +0000

kalzium (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Refresh patches.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:48:11 +0000

kalzium (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:06:13 +0000

## kalzium 23.08.1

=== debian/changelog ===
kalzium (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:56:17 +0100

## kalzium 23.08.4

=== debian/changelog ===
kalzium (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:12:32 +0000

kalzium (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:31:52 +0000

kalzium (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:28:09 +0100

## kalzium 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kalzium VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.92.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${kalzium_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMMarkNonGuiExecutable)
include(CheckIncludeFiles)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMDeprecationSettings)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})


find_package(Gettext REQUIRED)
find_package(PythonInterp REQUIRED)
find_package(PkgConfig)
find_package(OpenBabel3 3.1)
if(NOT ${OpenBabel3_FOUND})
    find_package(OpenBabel2)
endif()
if (QT_MAJOR_VERSION STREQUAL "5")
    find_package(AvogadroLibs)
endif()
find_package(Eigen3 CONFIG)
find_package(OCaml)
find_package(Libfacile)

pkg_check_modules(CHEMICAL_MIME_DATA chemical-mime-data)
check_include_files(ieeefp.h HAVE_IEEEFP_H)

# create configuration file
set(HAVE_FACILE ${LIBFACILE_FOUND})
set(HAVE_OPENBABEL3 ${OpenBabel3_FOUND})
set(HAVE_OPENBABEL2 ${OPENBABEL2_FOUND})
if(HAVE_OPENBABEL2 OR HAVE_OPENBABEL3)
    set(HAVE_OPENBABEL 1)
endif()
set(HAVE_EIGEN ${EIGEN3_FOUND})
if (QT_MAJOR_VERSION STREQUAL "6")
    set(HAVE_AVOGADRO FALSE)
else()
    set(HAVE_AVOGADRO ${AvogadroLibs_FOUND})
endif()

if(HAVE_OPENBABEL3)
    set(OPENBABEL_INCLUDE_DIR ${OpenBabel3_INCLUDE_DIRS})
    set(OPENBABEL_LIBRARIES ${OpenBabel3_LIBRARIES})
elseif(HAVE_OPENBABEL2)
    set(OPENBABEL_INCLUDE_DIR ${OPENBABEL2_INCLUDE_DIR})
    set(OPENBABEL_LIBRARIES ${OPENBABEL2_LIBRARIES})
endif()

configure_file(
   ${CMAKE_CURRENT_SOURCE_DIR}/config-kalzium.h.cmake
   ${CMAKE_CURRENT_BINARY_DIR}/config-kalzium.h
)

include_directories(${AvogadroLibs_INCLUDE_DIRS})

if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    Svg
    Widgets
    Xml
)

if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core5Compat StateMachine)
else()
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Script)
endif()

find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Config
    CoreAddons
    DocTools
    I18n
    Parts
    Plotting
    UnitConversion
    WidgetsAddons
)

ecm_setup_version("5.0.0"
    VARIABLE_PREFIX KALZIUMLIB
)

add_definitions(
    -DQT_NO_URL_CAST_FROM_STRING
)
if(MSVC)
    # for correctly linking openbabel:
    # see https://www.mail-archive.com/openbabel-devel@lists.sourceforge.net/msg01975.html
    add_definitions(-DUSING_DYNAMIC_LIBS)
endif()

ecm_set_disabled_deprecation_versions(QT 5.14.0
    KF 5.101
)


if (HAVE_OPENBABEL AND AvogadroLibs_FOUND AND EIGEN3_FOUND)
  find_package(Qt${QT_MAJOR_VERSION}OpenGL ${QT_MIN_VERSION} REQUIRED)
  find_package(KF${KF_MAJOR_VERSION}NewStuff ${KF5_MIN_VERSION} REQUIRED)
  # avoid compilerwarnings about redefinitions
  # todo: use check_function_exits() ?
  message(STATUS "Kalzium molecular editor enabled")
  if (WIN32)
    add_definitions(-DHAVE_SNPRINTF -DHAVE_STRCASECMP -DHAVE_STRNCASECMP)
  endif ()
  add_subdirectory(compoundviewer)
else ()
  message(STATUS "Kalzium molecular editor disabled")
endif ()

add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(libscience)

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(FILES org.kde.kalzium.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_qt_install_logging_categories(
        EXPORT KALZIUM
        FILE kalzium.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kalzium (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libavogadro2-1t64, libqt5core5t64,
    libqt5gui5t64, libqt5opengl5t64, libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:40:37 +0200

kalzium (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:01:30 +0000

kalzium (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:42:04 +0000

kalzium (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:35:24 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kalzium
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
@@ -32,11 +33,11 @@
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.15.2~),
                qtscript5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalzium
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalzium.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
 
 Package: kalzium
 Architecture: any
@@ -44,9 +45,9 @@
 Depends: kalzium-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkdeedu4 (<< 4:4.6.2), libscience4,
-Replaces: libkdeedu4 (<< 4:4.6.2), libscience4,
-Suggests: chemical-mime-data, khelpcenter,
+Breaks: libkdeedu4 (<< 4:4.6.2), libscience4
+Replaces: libkdeedu4 (<< 4:4.6.2), libscience4
+Suggests: chemical-mime-data, khelpcenter
 Description: periodic table and chemistry tools
  Kalzium is a full-featured chemistry application, including a
  Periodic Table of Elements, chemical reference, chemical equation solver, and
@@ -57,9 +58,9 @@
 Package: kalzium-data
 Architecture: all
 Section: science
-Depends: ${misc:Depends},
-Breaks: ${kde-l10n:all},
-Replaces: ${kde-l10n:all},
+Depends: ${misc:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: data files for Kalzium
  This package contains architecture-independent data files for Kalzium, the
  KDE periodic table application.

## kalzium 24.08.2

=== debian/changelog ===
kalzium (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:51:43 -0500

kalzium (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.08.2).
  * Build against Qt6 / KF6, update build-deps and deps with the info from
    cmake.
  * Switch to declarative dh kf6 build sequence.
  * Refresh patches.
  * Drop obsolete Breaks/Replaces.
  * Update the list of installed files.
  * Refresh lintian overrides.
  * Build with hardening=+all build hardening flag.
  * Bump Standards-Version to 4.7.0, no change required.
  * Drop post-install cleanup from debian/rules, not needed anymore.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 21:46:18 +0200

kalzium (4:23.08.5-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.5). (Closes: #1057565)
  * Update build-deps with info from cmake.
  * Depend on pkgconf instead of pkg-config transitional package.
  * Refresh patches.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Apr 2024 20:29:33 +0200

=== debian/control ===
Source: kalzium
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: chemical-mime-data,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.92.0~),
               gettext,
               libeigen3-dev (>> 2.0.3),
               libfacile-ocaml-dev,
               libkf6archive-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6configwidgets-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6itemviews-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6newstuff-dev (>= 5.240.0~),
               libkf6plotting-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6unitconversion-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libopenbabel-dev (>= 3.1.1+dfsg-4),
               libopengl-dev,
               pkgconf,
               qt6-5compat-dev (>= 6.4.0~),
               qt6-base-dev (>= 6.4.0~),
               qt6-scxml-dev (>= 6.4.0~),
               qt6-svg-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium

Package: kalzium
Architecture: any
Section: science
Depends: kalzium-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: chemical-mime-data, khelpcenter,
Description: periodic table and chemistry tools
 Kalzium is a full-featured chemistry application, including a
 Periodic Table of Elements, chemical reference, chemical equation solver, and
 3D molecule viewer.
 .
 This package is part of the KDE education module.

Package: kalzium-data
Architecture: all
Section: science
Depends: ${misc:Depends},
Description: data files for Kalzium
 This package contains architecture-independent data files for Kalzium, the
 KDE periodic table application.
 .
 This package is part of the KDE education module.

## kalzium 24.12.0

=== debian/changelog ===
kalzium (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:05:30 +0000

kalzium (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:03:31 +0000

kalzium (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 19:21:10 +0000

kalzium (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:36:54 +0000

## kalzium 24.12.1

=== debian/changelog ===
kalzium (4:24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 16 Jan 2025 10:15:56 +0100

kalzium (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 23:11:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: kalzium
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: chemical-mime-data,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               chemical-mime-data,
                cmake (>= 3.16~),
-               debhelper-compat (= 13),
-               dh-sequence-kf6,
                extra-cmake-modules (>= 5.92.0~),
                gettext,
                libeigen3-dev (>> 2.0.3),
@@ -18,6 +17,7 @@
                libkf6config-dev (>= 5.240.0~),
                libkf6configwidgets-dev (>= 5.240.0~),
                libkf6coreaddons-dev (>= 5.240.0~),
+               libkf6crash-dev (>= 5.92.0~),
                libkf6doctools-dev (>= 5.240.0~),
                libkf6i18n-dev (>= 5.240.0~),
                libkf6itemviews-dev (>= 5.240.0~),
@@ -38,8 +38,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalzium
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalzium.git
 
 Package: kalzium
 Architecture: any

## kalzium 24.12.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -73,6 +73,8 @@
 )
 
 target_sources(kalzium PRIVATE
+   colorutils.cpp
+   colorutils.h
    detailedgraphicaloverview.cpp
    detailedgraphicaloverview.h
    detailinfodlg.cpp
@@ -189,14 +191,14 @@
 ecm_add_app_icon(kalzium ICONS ${ICONS_SRCS})
 
 target_link_libraries(kalzium
-    KF5::Completion
-    KF5::ConfigWidgets
-    KF5::ItemViews
-    KF5::KIOWidgets
-    KF5::Plotting
-    KF5::TextWidgets
-    KF5::UnitConversion
-    KF5::XmlGui
+    KF${KF_MAJOR_VERSION}::ConfigWidgets
+    KF${KF_MAJOR_VERSION}::ItemViews
+    KF${KF_MAJOR_VERSION}::KIOWidgets
+    KF${KF_MAJOR_VERSION}::Plotting
+    KF${KF_MAJOR_VERSION}::TextWidgets
+    KF${KF_MAJOR_VERSION}::UnitConversion
+    KF${KF_MAJOR_VERSION}::XmlGui
+    KF${KF_MAJOR_VERSION}::Crash
     Qt::Svg
     science
 )
@@ -209,7 +211,7 @@
    target_link_libraries(kalzium ${OPENBABEL_LIBRARIES})
    if (EIGEN3_FOUND AND AvogadroLibs_FOUND)
       target_link_libraries(kalzium
-         KF5::NewStuff
+         KF${KF_MAJOR_VERSION}::NewStuff
          Qt::OpenGL
          compoundviewer
          AvogadroQtGui

=== debian/changelog ===
kalzium (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 17:15:02 +0000

kalzium (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:40:24 +0100

kalzium (4:24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 01 Mar 2025 00:14:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kalzium
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
@@ -38,8 +39,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalzium
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalzium.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
 
 Package: kalzium
 Architecture: any

## kalzium 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalzium VERSION ${RELEASE_SERVICE_VERSION})
@@ -37,7 +37,6 @@
 
 
 find_package(Gettext REQUIRED)
-find_package(PythonInterp REQUIRED)
 find_package(PkgConfig)
 find_package(OpenBabel3 3.1)
 if(NOT ${OpenBabel3_FOUND})
@@ -76,7 +75,7 @@
 endif()
 
 configure_file(
-   ${CMAKE_CURRENT_SOURCE_DIR}/config-kalzium.h.cmake
+   ${CMAKE_CURRENT_SOURCE_DIR}/config-kalzium.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config-kalzium.h
 )
 
@@ -107,13 +106,18 @@
 find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Archive
     Config
+    ConfigWidgets
     CoreAddons
     DocTools
     I18n
-    Parts
+    ItemViews
+    KIO
     Plotting
     UnitConversion
     WidgetsAddons
+    TextWidgets
+    XmlGui
+    Crash
 )
 
 ecm_setup_version("5.0.0"

=== debian/changelog ===
kalzium (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:56:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kalzium
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
@@ -14,6 +13,21 @@
                gettext,
                libeigen3-dev (>> 2.0.3),
                libfacile-ocaml-dev,
+               libkf5archive-dev (>= 5.92.0~),
+               libkf5config-dev (>= 5.92.0~),
+               libkf5configwidgets-dev (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5crash-dev (>= 5.92.0~),
+               libkf5doctools-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5itemviews-dev (>= 5.92.0~),
+               libkf5kio-dev (>= 5.92.0~),
+               libkf5newstuff-dev (>= 5.92.0~),
+               libkf5plotting-dev (>= 5.92.0~),
+               libkf5textwidgets-dev (>= 5.92.0~),
+               libkf5unitconversion-dev (>= 5.92.0~),
+               libkf5widgetsaddons-dev (>= 5.92.0~),
+               libkf5xmlgui-dev (>= 5.92.0~),
                libkf6archive-dev (>= 5.240.0~),
                libkf6config-dev (>= 5.240.0~),
                libkf6configwidgets-dev (>= 5.240.0~),
@@ -31,16 +45,20 @@
                libkf6xmlgui-dev (>= 5.240.0~),
                libopenbabel-dev (>= 3.1.1+dfsg-4),
                libopengl-dev,
+               libqt5opengl5-dev (>= 5.15.2~),
+               libqt5svg5-dev (>= 5.15.2~),
                pkgconf,
                qt6-5compat-dev (>= 6.4.0~),
                qt6-base-dev (>= 6.4.0~),
                qt6-scxml-dev (>= 6.4.0~),
                qt6-svg-dev (>= 6.4.0~),
-Standards-Version: 4.7.0
+               qtbase5-dev (>= 5.15.2~),
+               qtscript5-dev (>= 5.15.2~),
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: http://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalzium
+Homepage: https://edu.kde.org/kalzium/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalzium
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalzium.git
 
 Package: kalzium
 Architecture: any

## kalzium 25.04.2

=== debian/changelog ===
kalzium (4:25.04.2-0ubuntu2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Jul 2025 06:18:42 +0200

kalzium (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:39:41 +0100

kalzium (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:02:23 +0100

kalzium (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:43:46 +0100

## kalzium 25.04.3

=== debian/changelog ===
kalzium (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:37:58 +0100

## kalzium 25.07.80

=== debian/changelog ===
kalzium (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Refresh no_install_rpath_use_link_path.diff

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:04:12 +0100

## kalzium 25.07.90

=== debian/changelog ===
kalzium (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:30:28 +0100

## kalzium 25.08.0

=== debian/changelog ===
kalzium (4:25.08.0-0zneon+24.04+noble+release+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 18:04:48 +0000

kalzium (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:09:48 +0000

kalzium (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:52:48 +0000

kalzium (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:00:15 +0000

kalzium (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:50:28 +0000

kalzium (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:39:12 +0000

kalzium (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:08:11 +0000

kalzium (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:07:22 +0000

kalzium (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:57:25 +0000

kalzium (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:53:54 +0000

kalzium (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:55:01 +0000

kalzium (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:32:29 +0000

kalzium (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:07:29 +0000

kalzium (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:15:38 +0000

kalzium (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:52:10 +0000

kalzium (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:17:36 +0000

kalzium (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:05:14 +0000

kalzium (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:59:13 +0000

kalzium (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:40:07 +0000

kalzium (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 13:13:10 +0000

kalzium (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:16:41 +0000

kalzium (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 20:42:52 +0000

kalzium (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:45:31 +0000

kalzium (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:14:12 +0000

kalzium (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:03:05 +0000

kalzium (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:31:39 +0000

kalzium (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:08:58 +0000

kalzium (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:16:22 +0000

kalzium (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:36:11 +0000

kalzium (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:27:55 +0000

kalzium (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:39:16 +0000

kalzium (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:26:01 +0000

kalzium (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:52:12 +0000

kalzium (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:49:50 +0000

kalzium (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:58:37 +0000

kalzium (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:01:43 +0000

kalzium (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:03:50 +0000

kalzium (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:17:50 +0000

kalzium (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 13:17:03 +0000

kalzium (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:31:31 +0000

kalzium (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:42:21 +0000

kalzium (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:49:13 +0000

kalzium (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:21:53 +0000

kalzium (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:52:12 +0000

kalzium (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:19:30 +0000

kalzium (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:57:38 +0000

kalzium (4:20.12.2-0neon) focal; urgency=medium

  * New release
